Can No longer See JS filese in FILES window?

Discussions and Tech Support related to the iMacros Firefox Add-on, including the built-in Javascript scripting interface for playing .js files.
Forum rules
Before asking a question or reporting an issue:
1. Please review the list of FAQ's.
2. Use the search box (at the top of each forum page) to see if a similar problem or question has already been addressed.
3. Try searching the iMacros Wiki - it contains the complete iMacros reference as well as plenty of samples and tutorials.
4. We can respond much faster to your posts if you include the following information: CLICK HERE FOR IMPORTANT INFORMATION TO INCLUDE IN YOUR POST
Post Reply
User avatar
webcan
Posts: 21
Joined: Thu Feb 18, 2010 6:34 am
Location: Montreal

Can No longer See JS filese in FILES window?

Post by webcan » Thu Sep 06, 2018 7:19 pm

HI. I used to use a much older version of Imacro and I installed the new one version 10.0.2.1450 for Firefox. ( Registered personal version ).

And I can no longer see .js files like I once used to in the FILE window and wonder why?
I have js files that start iim files and now I wonder how that can be done as it was easily done before..?
chivracq
Posts: 8781
Joined: Sat Apr 13, 2013 1:07 pm
Location: Amsterdam (NL)

Re: Can No longer See JS filese in FILES window?

Post by chivracq » Thu Sep 06, 2018 7:32 pm

webcan wrote:HI. I used to use a much older version of Imacro and I installed the new one version 10.0.2.1450 for Firefox. ( Registered personal version ).

And I can no longer see .js files like I once used to in the FILE window and wonder why?
I have js files that start iim files and now I wonder how that can be done as it was easily done before..?
FCIM...! :mrgreen:
=> iMacros for FF v10.0.2.1450 'PE', FF62...?, OS...?, FIO Module installed...?

But, nope indeed, '.js' Scripts are not supported indeed anymore in v10.0.2 for FF, mentioned in the Release Notes, I would think...?:
The built-in Javascript scripting interface is no longer available.
... And you have several Threads on the Forum about this "Limitation"...

You don't mention your FF Version, but if you want to keep using '.js' Scripts, same (green + pink) Advice like in your previous (funny!) Thread, you still need to use iMacros v8.9.7, which still works until FF56.

And I had already told you in your previous/last Thread to first check the Forum before updating iMacros and/or FF to check for any Changes...:
You should check the Forum btw each time before updating your FF to check that v8.9.7 still works on "your" Version and you are actually on the "Luxury" of always being at least 2 Versions behind, from being on the ESR Channel...
(But you didn't follow up anymore on that Post...)
- (F)CI(M) = (Full) Config Info (Missing): iMacros + Browser + OS (+ all 3 Versions + 'Free'/'PE').
- I don't even read the Qt if that (required) Info is not mentioned...!
- Script & URL help a lot for more "educated" Help...
User avatar
webcan
Posts: 21
Joined: Thu Feb 18, 2010 6:34 am
Location: Montreal

Re: Can No longer See JS filese in FILES window?

Post by webcan » Thu Sep 06, 2018 8:04 pm

I keep forgetting this.. I ran into several addon blocks due to firefox not been able to load some addon's as 56 is slower become older and older and that's when I upgraded and once again forgot about this.. CRAP .now I got to undo what I did..

I really need to convert my scripts so it works with the newer version because I fear there will come a time where I will have no other choice.

PS: I think my other treads were due to an error I was receiving in js, and not because I could not actually see the js files in the file selector window. ( But I could be wrong )

I wonder why they did not include/restore js functionality in the new paid versions ? like the personal version for FF.
chivracq
Posts: 8781
Joined: Sat Apr 13, 2013 1:07 pm
Location: Amsterdam (NL)

Re: Can No longer See JS filese in FILES window?

Post by chivracq » Thu Sep 06, 2018 8:37 pm

webcan wrote:I keep forgetting this.. I ran into several addon blocks due to firefox not been able to load some addon's as 56 is slower become older and older and that's when I upgraded and once again forgot about this.. CRAP .now I got to undo what I did..

I really need to convert my scripts so it works with the newer version because I fear there will come a time where I will have no other choice.

PS: I think my other treads were due to an error I was receiving in js, and not because I could not actually see the js files in the file selector window. ( But I could be wrong )

I wonder why they did not include/restore js functionality in the new paid versions ? like the personal version for FF.
Yeah well, an "Option" could be to keep your current FF Env (you still didn't mention which FF Version you are using, grrr...!), say FF62 + iMacros for FF v10.0.2 'PE', for '.iim' Macros you want to run "manually" and that still work in v10.0.2 (as many Commands are not supported anymore/yet in v10.0.2), and to install "in parallel" some older FF Portable Version, like FF v55.0.3 for example that I use myself, for which you you can still use v8.9.7 and run your '.js' Scripts.

FF can be a complete "pain in the ass" when running several different FF Versions in the same OS/System..., I did it the other way round for the Beta-Testing Phase for v10.0.2 for FF as I wanted to keep my (perfectly working) FF v55.0.3 + iMacros for FF v8.9.7, and installed at that time FF61, then FF62 (Portable) to work with v10.0.2. I explained all the Procedure etc in the Beta-Testing Thread in the 'FF' Sub-Forum...

And otherwise, yep indeed..., convert your '.js' Scripts (back) to '.iim' Scripts..., I don't use any '.js' Scripts at all myself, I do all my Coding in pure '.iim'... But hum..., won't be an "easy" Operation as you need to use 'EVAL()' extensively, but that Command is now a bit too Buggy in v10.0.2, check again the Beta-Testing Thread, I've reported all my Findings about 'EVAL()' in v10.0.2... (fairly at the End of the Thread...)
- (F)CI(M) = (Full) Config Info (Missing): iMacros + Browser + OS (+ all 3 Versions + 'Free'/'PE').
- I don't even read the Qt if that (required) Info is not mentioned...!
- Script & URL help a lot for more "educated" Help...
Post Reply